/* FORM STYLE ONLY */
input[type=text] { border: 1px solid #9d9c9c; border-radius: 5px; color: black; height: 32px; padding: 1px 5px; width: 80%; }
.well input[type=text] { width: 64.5%; }
input[type=password] { border: 1px solid #9d9c9c; border-radius: 5px; color: black; height: 32px; padding: 1px 5px; }
form select { color: black; height: 32px; width: 76%; }
input[type=checkbox] { margin-right: 8px; margin-top: 15px; }
.ip-elm-checkbox-multi { margin-bottom: 10px; display: flex; flex-direction: row;}
select, .form-control { height: 32px; width: 64.5%; }
label, .textElement-label{ display: unset; font-size: 0.95rem; font-weight: 600; line-height: 1.8; }

label[for="feCOBx96"], label[for="knqBMd82"] {
    height: 0;
}
.questionResponseCheckbox label { font-weight: normal; }

.questionResponse.questionResponseCheckbox {
    display: flex;
}

.questionResponse.questionResponseCheckbox input[type=checkbox] {
    margin-top: 0px;
}


.notRequiredSymbolClass, .requiredSymbolClass, body:has(label[for="yWqcBT14"]) .btn-cancel{ display: none !important; }
label[isrequired="1"]:before { color: red; content: "*"; display: inline-block; font-size: 1.2rem; margin-left: -13px; padding-right: 5px; }
form .col-lg-6:nth-child(2) div[unique_id="PkZNuc70"] label[isrequired="1"]:before { position: unset; top: unset; }
form .col-lg-6:nth-child(2) label[for="MFkeYY81"][isrequired="1"]:before { position: relative; top: -3.5rem; }
form .col-lg-6:nth-child(2) label[for="BqSunz47"][isrequired="1"]:before { margin-left: -1rem;}
.index_registrations_packages form label[isrequired="1"]:before {margin-left: -1rem; position: relative; top: 2.55rem; }
.index_registrations_business_details form .col-lg-6:nth-child(2) label[isrequired="1"]:before { position: relative; top: 0; }
.login-box form { border-radius: 5px; padding: 0; width: 100%; }
.login-box label { display: inline-block; font-weight: 400; line-height: 1.6; }
.index_registrations_blackhat .login-box .btn-cancel, .notRequiredSymbolClass { display: none; }
.login-box .btn { margin-top: 0; }
#rnKOKM41, #uEHBpT88 { width: calc(80% + 85px); }
select[disabled] { color: #aaaaaa; border: 1px solid #aaa; cursor: not-allowed; }
html input[disabled] { background-color: #f4f4f4; border: 1px solid #aaa; color: #aaaaaa; cursor: not-allowed; }

/*PROGRESS MENU + PUBLIC MENU */
#progressMenu ul, #publicMenu { display: block; list-style: none; margin: 20px 0; padding: 0; }
#progressMenu ul li, #publicMenu li { background: var(--tertiaryColor); border-bottom: 2px solid var(--tertiaryColor); border-radius: 3px; color: var(--color-white); display: block; padding: 10px 0; text-align: center; transition: .03s ease all; margin-bottom: 5px;}
/* #publicMenu li { background-color: var(--primaryColor); color: var(--color-white); } */
#publicMenu li:hover { color: var(--color-white); text-decoration: underline; }
#progressMenu ul li.currentStep { background: var(--primaryColor); color: var(--color-white); }
#publicMenu a { color: var(--color-white); transition: all ease-in 0.3s; }
#publicMenu a:hover { color: var(--orange) !important; }
.form-control:has(.ip-copyAddressContainer) { background-color: initial; border: initial; box-shadow: initial; }
.index_registrations_payment label[for="copyAddress"] { display: block; height: 1px; }

@media screen and (min-width: 768px) {
    #progressMenu ul, #publicMenu { display: flex; gap: 2px; }
    #progressMenu ul li { border-bottom: unset; flex-basis: 33.33%; padding: 20px 0; }
    #publicMenu li { border-bottom: unset; flex-basis: 25%; padding: unset; }
    #progressMenu ul li:first-child { border-top-left-radius: 14px; border-bottom-left-radius: 14px; }
    #progressMenu ul li:last-child { border-top-right-radius: 14px; border-bottom-right-radius: 14px; }
    #publicMenu li a { display: block; height: 100%; padding: 20px 0; }
}

/* Form text input */

.inner-page form .ip-elm-textbox.ip-element {
    display: flex;
    flex-direction: column;
}




/* PHONE NUMBER + PASSWORD INPUTS */
.iti--separate-dial-code, .ip-elm-password, .ip-elm-confirmpassword, .ip-elm-textbox, .ip-formPassword { width: 80%; }

/* PACKAGES */
.ip-elementPackages.ip-elementPackagesNoWrap { display: block; flex-wrap: wrap; }
.ip-elementPackages.ip-elementPackagesNoWrap .ip-elementPackage { display: block; margin: 0; width: 100%; }
.ip-elementPackageDescriptionContainerTitle { display: none; }
.index_exhibitorreg_login .ip-element:has(label[for="rememberMe"]) { display: flex; }
.index_exhibitorreg_login label[for="rememberMe"] { order: 2; }
.index_exhibitorreg_login  #rememberMe { order: 1; }

@media screen and (min-width: 519px) and (max-width: 767px) {
    .ip-elementPackages.ip-elementPackagesNoWrap { display: flex; gap: 2px; flex-wrap: wrap; }
    .ip-elementPackages.ip-elementPackagesNoWrap .ip-elementPackage { margin: 0; flex-basis: calc(50% - 2px); }
    .ui-dialog {
        width: 90% !important;
        left: 5% !important; 
    }
}

@media screen and (min-width: 768px) and (max-width: 1199px) {
    .ip-elementPackages.ip-elementPackagesNoWrap { display: flex; gap: 3px; }
    .ip-elementPackages.ip-elementPackagesNoWrap .ip-elementPackage:nth-child(-n+3) { flex-basis: calc(33.33% - 2px); padding: 0;}
    .ip-elementPackages.ip-elementPackagesNoWrap .ip-elementPackage:nth-child(n+4) { flex-basis: calc(50% - 2px); padding: 0; }
}

@media screen and (min-width: 1200px) {
    .ip-elementPackages.ip-elementPackagesNoWrap { display: flex; gap: 1px; }
    .ip-elementPackages.ip-elementPackagesNoWrap .ip-elementPackage { flex-basis: calc(33.33% - 1px); padding: 0; }
}
.ip-elementPackages .ip-elementPackage { margin: 0; padding: 0; }
.ip-elementPackages .ip-elementPackage label input { margin-right: 5px; }
.ip-elementPackages .ip-elementPackage .ip-elementPackageDescription { padding: 10px; }

/* PACKAGE SELECT */
#wOfgnS74-packageID-30 select { background: #00e2ff; width: 100%; }

/******/
.ip-buttonBar a.btn {margin-right: 20px; }
.index_registrations_additional_events .ip-elm-radio-multi span.ip-elementContent { display: flex; margin-top: 5px; }
.index_registrations_additional_events .ip-elm-radio-multi .questionResponse { margin-right: 5px; }
.purchasableItemElement > .form-group { display: flex; margin-bottom: 0; }
.purchasableItemElement > .form-group label { margin-left: 5px; order: 2; }
.purchasableItemElement > .form-group span { order: 1; }

/*Registration Profile*/

.index_registrations_profile form .ip-group-col:nth-child(2) .ip-elm-radio-multi {
    display: flex;
} 

.index_registrations_profile form .ip-group-col:nth-child(2) .ip-elm-radio-multi lable[isrequired="1"]:before {
    top: 0rem;
} 

.index_registrations_profile form .ip-group-col:nth-child(2) .ip-elm-radio-multi span.ip-elementContent.clearfix {
    display: flex;
    padding-left: 5px;
}
.index_registrations_profile form .ip-group-col:nth-child(2) .ip-elm-radio-multi span.ip-elementContent .questionResponse {
    margin: 4px 5px;
}

.index_registrations_carbon_impact .ip-elm-checkbox-multi {
    flex-direction: column;
}
/* EXHIBITOR PROFILE */
.index_exhibitorreg_portal form { float: none; width: 70%; padding: 0; }
.index_exhibitorreg_portal .login-box label { margin-left: 0; width: 100%; }
.index_registrations_profile .ip-elm-checkbox-multi.ip-element label { float: left; margin-top: 8px;}
.index_registrations_profile input[type="checkbox"] { float: left; }
label[for="fQlOjI23"], label[for="uAaBay70"], label[for="fQlOjI23-486"], label[for="uAaBay70-487"]{ font-weight: 400; }
.index_registrations_changepassword .ip-formPassword { width: 100%; }
@media screen and (min-width: 768px) {
    .index_registrations_changepassword .ip-formPassword { width: 35%; }
}

.index_registrations_changepassword .btn-submit[style] { width: auto !important; margin: 10px 0 20px; }
.questionResponse .chosen-container { width: 64% !important; }
table img { display: block; margin: auto; width: auto; }
.ip-copyAddressContainer:has(.ip-addressContainer) .ip-addressContainer { float:left; padding:10px; width:100%; }